> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data transfer by ID

> Get data transfer by ID



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.yaml get /data-transfers/{id}
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /data-transfers/{id}:
    get:
      tags:
        - data transfers
      summary: Get data transfer by ID
      description: Get data transfer by ID
      parameters:
        - description: ID of data transfer to retrieve
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/remotefs.DataTransfer'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    remotefs.DataTransfer:
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        destinationVolumeId:
          type: string
        filetaskKey:
          type: string
        id:
          type: string
        labels:
          additionalProperties:
            type: string
          type: object
        status:
          $ref: '#/components/schemas/remotefs.DataTransferStatus'
        taskUpdate:
          $ref: '#/components/schemas/remotefs.TaskUpdate'
        type:
          $ref: '#/components/schemas/remotefs.DataTransferType'
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
      required:
        - createdAt
        - createdBy
        - destinationVolumeId
        - id
        - status
        - type
        - updatedAt
        - updatedBy
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.UserSummary:
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
      required:
        - firstName
        - id
        - lastName
        - userName
      type: object
    remotefs.DataTransferStatus:
      enum:
        - Failed
        - Started
        - Succeeded
      type: string
      x-enum-varnames:
        - TransferStatusFailed
        - TransferStatusStarted
        - TransferStatusSucceeded
    remotefs.TaskUpdate:
      properties:
        exportTargetId:
          type: string
        key:
          $ref: '#/components/schemas/remotefs.FlowsArtifactVersionKey'
        progress:
          type: integer
        tags:
          additionalProperties:
            type: string
          type: object
        type:
          type: string
        uri:
          type: string
      type: object
    remotefs.DataTransferType:
      enum:
        - flows-artifact-export
      type: string
      x-enum-varnames:
        - DataTransferTypeFlowsArtifactExport
    remotefs.FlowsArtifactVersionKey:
      properties:
        artifactId:
          type: string
        execution:
          $ref: '#/components/schemas/remotefs.FlowsExecutionIdentifier'
      type: object
    remotefs.FlowsExecutionIdentifier:
      properties:
        domain:
          type: string
        name:
          type: string
        project:
          type: string
      type: object

````